GET /postings

Read bank postings (incoming payments) from Komfortkasse.

Query parameters

  • createdMin string

    Minimum creation date, inclusive. Format: dd-MM-yyyy.

  • createdMax string

    Maximum creation date, exclusive. Format: dd-MM-yyyy.

  • includeOrders boolean

    Set to true to include the list of Orders in the response.

    Default value is false.

  • iban string

    IBAN of bank account. All bank accounts are used if no IBAN is given.

Responses

  • 200 application/json

    List of postings.

    Hide response attributes Show response attributes object
    • id string

      Unique ID (given by Komfortkasse).

    • amount number

      Amount of the posting. Format: 0.00.

    • currency string

      Currency of the posting.

    • postingDate string

      Date (booking date) of the posting.

    • valuationDate string

      Valuation date of the posting.

    • originator string

      Originator/counterparty name.

    • reference string

      Reference number.

    • text string

      Text (payment reference).

    • orders array[object]

      List of Orders assigned to this posting (only if parameter includeOrders is given).

      Hide orders attributes Show orders attributes object
      • date string Required

        Order date, the date the customer placed the order. Format: dd-MM-yyyy.

      • dueDate string

        Date on which the amount is due to pay (e.g., shipping date for INVOICE orders). Format: dd-MM-yyyy.

      • customerEmail string

        Email address of customer. Optional, but obviously needed if you want Komfortkasse to send payment information or reminders.

      • customerNumber string

        Customer number (if the customer has a classic customer number plus a username from a marketplace such as eBay, concat these numbers/usernames with a '/').

      • type string Required

        Order payment type:

        • INVOICE — invoice (German: Rechnung)
        • PREPAYMENT — prepayment (German: Vorkasse)
        • COD — cash on delivery (German: Nachnahme)
        • OTHER — other payment type (will not be managed by Komfortkasse) — normally not needed

        Values are INVOICE, PREPAYMENT, COD, or OTHER.

      • marketplaceNumber string

        Additional order number from a 3rd party marketplace e.g. ebay.

      • paymentMethod string

        Technical string or id of the payment method in your shop. For information only.

      • paymentMethodDescription string

        Readable description or name of your payment method. For information only.

      • statusDescription string

        String or id representing the order status in your shop. For information only.

      • amount number Required

        Total order amount including all taxes, shipping, etc. This is the amount you expect to be paid. Format: 0.00.

      • currency string Required

        Currency of the order (ISO 4217).

      • exchangeRate number

        Exchange rate, only needed if the order is in a currency where you don't have a Komfortkasse account.

      • language string

        Customer's order language (ISO format). Komfortkasse will send out emails to your customer in this language (if supported).

      • itemNumbers array[string] Deprecated

        DEPRECATED, use items.

      • items array[object]

        List of item numbers and names. Item numbers will be used for payment matching.

        Hide items attributes Show items attributes object

        Single item in an order.

        • number string Required

          Item number. Used for payment matching.

        • name string

          Item name.

      • invoiceNumbers array[string]

        List of invoice numbers. Will be used for payment matching.

      • shippingNumbers array[string]

        List of shipping (tracking) numbers. Will be used for payment matching. Highly recommended if using Komfortkasse for COD.

      • proformaNumbers array[string]

        List of proforma invoice numbers. Will be used for payment matching. Can also be used for other informational numbers like proposal numbers, confirmation numbers, etc.

      • billing object Required

        Billing (invoice) address (primary address).

        Hide billing attributes Show billing attributes object
        • gender string

          Values are male, female, company, or unknown.

        • firstName string

          First name (given name).

        • lastName string Required

          Last name (surname). Required if company is not set.

        • company string Required

          Company name. Required if lastName is not set.

        • street string

          Street address.

        • postCode string

          Post code (zip code).

        • city string

          City name.

        • countryCode string Required

          2-letter ISO country code.

        • phone string

          Optional phone number.

      • shipping object

        Shipping address (secondary address). Optional if same as billing address.

        Hide shipping attributes Show shipping attributes object
        • gender string

          Values are male, female, company, or unknown.

        • firstName string

          First name (given name).

        • lastName string Required

          Last name (surname). Required if company is not set.

        • company string Required

          Company name. Required if lastName is not set.

        • street string

          Street address.

        • postCode string

          Post code (zip code).

        • city string

          City name.

        • countryCode string Required

          2-letter ISO country code.

        • phone string

          Optional phone number.

      • initialDunningLevel integer

        Initial dunning level when creating an order (can only be used when creating a new order).

      • stopReminder boolean

        True if no automatic payment reminders should be sent for this order.

      • number string Required

        Order number, must be unique per shop.

  • 400 application/json

    Invalid request — for example missing required fields or wrong format.

    Hide response attribute Show response attribute object
    • error string Required

      Error message.

  • 401 application/json

    Authentication failed — API key missing or invalid.

    Hide response attribute Show response attribute object
    • error string Required

      Error message.

  • 404 application/json

    Resource not found (e.g. unknown order number).

    Hide response attribute Show response attribute object
    • error string Required

      Error message.

GET /postings
curl \
 --request GET 'https://ssl.komfortkasse.eu/api/v2/postings' \
 --header "X-Komfortkasse-API-Key: $API_KEY"
Response examples (200)
[
  {
    "id": "P-2024-001",
    "amount": 22.38,
    "currency": "EUR",
    "postingDate": "26-04-2018",
    "valuationDate": "26-04-2018",
    "originator": "Max Mustermann",
    "reference": "K1234A",
    "text": "Order 123456 - K1234A"
  }
]
Response examples (400)
{
  "error": "Invalid request"
}
Response examples (401)
{
  "error": "API Key missing"
}
Response examples (404)
{
  "error": "Order not found"
}